#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%global		debug_package	%{nil}
%define		lname		%(echo %{name} | tr '[:upper:]' '[:lower:]')
#-----------------------------------------------------------------------------
Name		:	RetroShare
Version		:	v0.6.6
Release		:	14.4.0.0%{?dist}
Summary		:	Secure communication with friend

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv3
URL		:	https://retroshare.cc/downloads.html
			#https://github.com/RetroShare/RetroShare/releases/tag/

Source0		:	%{name}-%{version}-source-with-submodules.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	ffmpeg-4-devel
BuildRequires	:	gcc-c++
BuildRequires	:	libupnp-devel
BuildRequires	:	mesa-devel
BuildRequires	:	opencv-devel
BuildRequires	:	qt5
BuildRequires	:	qtx11extras-devel
BuildRequires	:	rapidjson-devel
BuildRequires	:	speexdsp
BuildRequires	:	sqlcipher-devel
BuildRequires	:	xorg-libXScrnSaver

Requires	:	ffmpeg-4

#-----------------------------------------------------------------------------
%description
RetroShare is a decentralized, private and secure
commmunication and sharing platform. RetroShare
provides filesharing, chat, messages, forums and
channels.


#-----------------------------------------------------------------------------
%files
%defattr(-,root,root,-)
%{_bindir}/%{lname}
%{_bindir}/%{lname}-service
%{_libdir}/%{lname}/extensions6/libVOIP.so
%{_libdir}/%{lname}/extensions6/libFeedReader.so
%{_datadir}/applications/%{lname}.desktop
%{_datadir}/icons/hicolor/*/apps/%{lname}.png
%{_datadir}/pixmaps/%{lname}.xpm
%{_datadir}/%{lname}/bdboot.txt
%{_datadir}/%{lname}/qss/*.qss
%{_datadir}/%{lname}/qss/redscorpion/*.png
%{_datadir}/%{lname}/qss/blacknight/*.png
%{_datadir}/%{lname}/qss/blue/*.png
%{_datadir}/%{lname}/qss/orangesurfer/*.png
%{_datadir}/%{lname}/qss/qdarkstyle/*.png
%{_datadir}/%{lname}/qss/qdarkstyle/rc/*.png
%{_datadir}/%{lname}/qss/qlive/*.png
%{_datadir}/%{lname}/qss/silver/*.png
%{_datadir}/%{lname}/qss/uus/*.png
%{_datadir}/%{lname}/qss/yaba/*.png
%{_datadir}/%{lname}/qss/yeah/*.png
%{_datadir}/%{lname}/sounds/*.wav
%{_datadir}/%{lname}/stylesheets/Bubble/history/info.xml
%{_datadir}/%{lname}/stylesheets/Bubble/history/*.css
%{_datadir}/%{lname}/stylesheets/Bubble/history/*.htm
%{_datadir}/%{lname}/stylesheets/Bubble/history/variants/*.css
%{_datadir}/%{lname}/stylesheets/Bubble/history/img/bubble-blue/*.png
%{_datadir}/%{lname}/stylesheets/Bubble/history/img/bubble-green/*.png
%{_datadir}/%{lname}/stylesheets/Bubble/history/img/bubble-grey/*.png
%{_datadir}/%{lname}/stylesheets/Bubble/history/img/bubble-orange/*.png
%{_datadir}/%{lname}/stylesheets/Bubble/history/img/bubble-red/*.png
%{_datadir}/%{lname}/stylesheets/Bubble/private/info.xml
%{_datadir}/%{lname}/stylesheets/Bubble/private/*.css
%{_datadir}/%{lname}/stylesheets/Bubble/private/*.htm
%{_datadir}/%{lname}/stylesheets/Bubble/private/variants/*.css
%{_datadir}/%{lname}/stylesheets/Bubble/private/img/bubble-blue/*.png
%{_datadir}/%{lname}/stylesheets/Bubble/private/img/bubble-green/*.png
%{_datadir}/%{lname}/stylesheets/Bubble/private/img/bubble-grey/*.png
%{_datadir}/%{lname}/stylesheets/Bubble/private/img/bubble-orange/*.png
%{_datadir}/%{lname}/stylesheets/Bubble/private/img/bubble-red/*.png
%{_datadir}/%{lname}/stylesheets/Bubble/public/info.xml
%{_datadir}/%{lname}/stylesheets/Bubble/public/*.css
%{_datadir}/%{lname}/stylesheets/Bubble/public/*.htm
%{_datadir}/%{lname}/stylesheets/Bubble/public/variants/*.css
%{_datadir}/%{lname}/stylesheets/Bubble/public/img/bubble-blue/*.png
%{_datadir}/%{lname}/stylesheets/Bubble/public/img/bubble-green/*.png
%{_datadir}/%{lname}/stylesheets/Bubble/public/img/bubble-grey/*.png
%{_datadir}/%{lname}/stylesheets/Bubble/public/img/bubble-orange/*.png
%{_datadir}/%{lname}/stylesheets/Bubble/public/img/bubble-red/*.png
%{_datadir}/%{lname}/stylesheets/Bubble/src/img.svg
%{_datadir}/%{lname}/stylesheets/Bubble/src/make_images.sh
%{_datadir}/%{lname}/stylesheets/Bubble/src/img/bubble-blue/*.png
%{_datadir}/%{lname}/stylesheets/Bubble/src/img/bubble-green/*.png
%{_datadir}/%{lname}/stylesheets/Bubble/src/img/bubble-grey/*.png
%{_datadir}/%{lname}/stylesheets/Bubble/src/img/bubble-orange/*.png
%{_datadir}/%{lname}/stylesheets/Bubble/src/img/bubble-red/*.png
%{_datadir}/%{lname}/stylesheets/Bubble_Compact/private/info.xml
%{_datadir}/%{lname}/stylesheets/Bubble_Compact/private/*.htm
%{_datadir}/%{lname}/stylesheets/Bubble_Compact/private/*.css
%{_datadir}/%{lname}/stylesheets/Bubble_Compact/private/variants/*.css
%{_datadir}/%{lname}/stylesheets/Bubble_Compact/private/img/bubble-blue/*.png
%{_datadir}/%{lname}/stylesheets/Bubble_Compact/private/img/bubble-green/*.png
%{_datadir}/%{lname}/stylesheets/Bubble_Compact/private/img/bubble-grey/*.png
%{_datadir}/%{lname}/stylesheets/Bubble_Compact/private/img/bubble-orange/*.png
%{_datadir}/%{lname}/stylesheets/Bubble_Compact/private/img/bubble-red/*.png


#=============================================================================
%prep
%setup -q

sed -i							\
  -e "/^#include <sstream>/a #include <filesystem>"	\
  ./libretroshare/src/util/rsdir.cc

sed -i							\
  -e "/^#include <math.h>/a #include <cstdint>"		\
  ./retroshare-gui/src/gui/statistics/Histogram.cpp

sed -i							\
  -e "s/= opencv/= opencv4/"				\
  -e "s:= libavcodec:= ffmpeg4.4/libavcodec:"		\
  -e "s:avcodec libavutil:avcodec ffmpeg4.4/libavutil:"	\
  ./plugins/VOIP/VOIP.pro

#-----------------------------------------------------------------------------
#building application
%build

#see file retroshare.pri
qmake							\
	PREFIX=%{_prefix}				\
	LIB_DIR=%{_libdir}				\
	CONFIG+=debug					\
	CONFIG+=release					\
	CONFIG+=retroshare_plugins			\
	CONFIG+=sqlciper				\
	

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}						\
	%{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

#https://retroshare.readthedocs.io/en/latest/developer/compilation/
%{__make}						\
	INSTALL_ROOT=%{buildroot}			\
	install

#To install plugin
for dir in VOIP FeedReader
  do
  pushd plugins/$dir
  qmake
  %{__make}						\
	INSTALL_ROOT=%{buildroot}			\
	install
  popd
  done
#-----------------------------------------------------------------------------
%changelog
